MAPITEST(1)

NAME
mapitest - OpenChange torture test utility

SYNOPSIS
mapitest [-?|--help] [--usage] [-f|--database=STRING] [-p|--profile=STRING]
  [-u|--username=STRING] [-p|--password=STRING] [--confidential] [--color]
  [-o|--outfile=STRING] [--mapi-calls=STRING] [--list-all] [--no-server]
  [--dump-data] [-d|--debuglevel=STRING]

DESCRIPTION
mapitest is a test harness / utility used for verifying correct operation of various ExchangeRPC calls / MAPI functions provided by the OpenChange MAPI libraries. mapitest is not normally required by users, but you may be asked to provide the output of mapitest for some kinds of bug investigations. Note that mapitest performs a lot of transactions, including deleting folders and messages. Unless you're very familiar with mapitest, we recommend only using it with a test account.

OPTIONS

--database

-f  Set the path to the profile database to use

--profile

-p  Set the profile to use. If no profile is specified, mapitest tries to retrieve the default profile in the database. If no default profile has been set, mapitest returns MAPI_E_NOT_FOUND .

--username

-u  Set the username of the account to use.

--password

-P  Specify the password for the profile to use. This can be omitted if the password is stored in the profile.

--confidential
    Remove any sensitive data from the report.

--color
    Use colors to indicate the results of each operation.

--outfile

-o  Redirect the output of the tests to a file. The filename must be specified as the argument to this option.

--mapi-calls
    Run a specific test. The name of the test must be specified as the argument to this option. See the --list-all option to obtain the name of the test. This can be specified more than once in order to run a subset of tests.

--list-all
    Provide a list of all test suites and test names, along with a description of the test. No tests will be run.

--no-server
    Only run tests that do not require a server connection. This is the default if a connection to the server cannot be established.

--dump-data
    Dump the hex data. This is only required for debugging or educational purposes.

--debuglevel

-d  Set the debug level.

EXAMPLES
Run all tests
mapitest
Only run two specific tests
mapitest --mapi-calls=NOSERVER-SROWSET --mapi-calls=OXCPRPT-GET-PROPS

REMARKS
If you are using the default profile database path and have set a default profile (using mapiprofile --profile=profile_name -S ) you do not need to specify these parameters on the command line.

AUTHOR
mapitest was written by Julien Kerihuel <j.kerihuel at openchange dot org> with contributions from other OpenChange developers. This man page was written by Brad Hards <bradh at openchange dot org>